Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkCastToConcrete Class Reference

`#include <vtkCastToConcrete.h>`

Inheritance diagram for vtkCastToConcrete:

[legend]
Collaboration diagram for vtkCastToConcrete:

[legend]
List of all members.

## Detailed Description

works around type-checking limitations

Date:
  2002/10/04 20:43:43

Revision:
  1.32

vtkCastToConcrete is a filter that works around type-checking limitations in the filter classes. Some filters generate abstract types on output, and cannot be connected to the input of filters requiring a concrete input type. For example, vtkElevationFilter generates vtkDataSet for output, and cannot be connected to vtkDecimate, because vtkDecimate requires vtkPolyData as input. This is true even though (in this example) the input to vtkElevationFilter is of type vtkPolyData, and you know the output of vtkElevationFilter is the same type as its input.

vtkCastToConcrete performs run-time checking to insure that output type is of the right type. An error message will result if you try to cast an input type improperly. Otherwise, the filter performs the appropriate cast and returns the data.

Warning:
  You must specify the input before you can get the output. Otherwise an error results.

See also:
  vtkDataSetToDataSetFilter vtkPointSetToPointSetFilter

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (64%)
  - Martin, Ken (14%)
  - Lorensen, Bill (9%)
  - Kelly, Ann (5%)

CVS logs (CVSweb):
  - .`h` (`/Filtering/vtkCastToConcrete.h)`
  - .`cxx` (`/Filtering/vtkCastToConcrete.cxx)`

Examples:
  vtkCastToConcrete (Examples)

Tests:
  vtkCastToConcrete (Tests)

Definition at line 68 of file vtkCastToConcrete.h.

## Public Types
typedef vtkDataSetToDataSetFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
## Static Public Methods
vtkCastToConcrete * | New ()
int | IsTypeOf (const char *type)
vtkCastToConcrete * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkCastToConcrete ()
| ~vtkCastToConcrete ()
void | Execute ()
void | ExecuteInformation ()

## Member Typedef Documentation

typedef vtkDataSetToDataSetFilter vtkCastToConcrete::Superclass

| Reimplemented from vtkDataSetToDataSetFilter. Definition at line 73 of file vtkCastToConcrete.h.

## Constructor & Destructor Documentation

vtkCastToConcrete::vtkCastToConcrete | ( |  | ) | `[inline, protected]`

| Definition at line 77 of file vtkCastToConcrete.h.

vtkCastToConcrete::~vtkCastToConcrete | ( |  | ) | `[inline, protected]`

| Definition at line 78 of file vtkCastToConcrete.h.

## Member Function Documentation

vtkCastToConcrete* vtkCastToConcrete::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkCastToConcrete::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToDataSetFilter.

int vtkCastToConcrete::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

virtual int vtkCastToConcrete::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

vtkCastToConcrete* vtkCastToConcrete::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToDataSetFilter.

void vtkCastToConcrete::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToDataSetFilter.

void vtkCastToConcrete::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

void vtkCastToConcrete::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkDataSetToDataSetFilter.

The documentation for this class was generated from the following file:

- Filtering/vtkCastToConcrete.h